
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Name:			ladspa-vocoder
Summary:		LADSPA Vocoder Plugin
Version:		0.3
Release:		0.pm.2.3
License:		GPL
Group:			Productivity/Multimedia/Sound/Utilities
Source:			vocoder-ladspa-%{version}.tar.bz2
Patch:			ladspa-vocoder-0.1.diff
URL:			http://www.sirlab.de/linux/download_vocoder.html
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	gcc-c++
BuildRequires:	ladspa

%description
This vocoder plugin has 2 AUDIO inputs and 1 OUTPUT (of course). The first
INPUT is the 'Formant' signal which is usually someone's voice. The second
INPUT is the 'Carrier' signal which is some sort of continuous synth sound.
The 'Carrier' signal is modulated to the 'Formant'.
There are a number of LADSPA controls. The first one is the 'Number of bands'
which is how many frequency bands to use (current maximum is 16). The rest of
the controls set the level of each individual band and should have a value
between 0.0 and 1.0. The lower numbered bands are lower in frequency the
higher numbered bands are higher in frequency.



%prep
%setup -q -n vocoder-%{version}
%patch

%build
%__make \
	CFLAGS="$RPM_OPT_FLAGS -fPIC -DPIC"

%install
%__install -dm 755 %{buildroot}%{_libdir}/ladspa
%__install -m 644 -c *.so \
	%{buildroot}%{_libdir}/ladspa

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*

%changelog
* Sun Sep 16 2007 Toni Graffy <toni@links2linux.de> - 0.3-0.pm.1
- splitt-off from ladspa package
